bluefish (2.4.2-1) unstable; urgency=medium

  * New upstream release 
  * Install usr/share/bluefish/*gresource for bluefish-data

 -- Jonathan Carter <jcc@debian.org>  Tue, 21 Jul 2026 13:01:11 -0300

bluefish (2.4.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with gettext 0.26. (Closes: #1133149)

 -- Adrian Bunk <bunk@debian.org>  Sat, 06 Jun 2026 16:56:03 +0300

bluefish (2.4.1-1) unstable; urgency=medium

  * New upstream release

 -- Jonathan Carter <jcc@debian.org>  Mon, 13 Apr 2026 11:10:50 +0200

bluefish (2.4.0-1) unstable; urgency=medium

  * New upstream release
  * Install new png files

 -- Jonathan Carter <jcc@debian.org>  Tue, 10 Feb 2026 13:01:29 +0200

bluefish (2.2.19-1) unstable; urgency=medium

  * New upstream release (Closes: #1106625)
  * Fix broken changlog entry 2.2.13-2 (Closes: #1106406)

 -- Jonathan Carter <jcc@debian.org>  Sun, 30 Nov 2025 12:37:40 +0200

bluefish (2.2.17-1) unstable; urgency=medium

  * New upstream release 
  * Update standards version to 4.7.2
  * Add jsbeautifier to suggests

 -- Jonathan Carter <jcc@debian.org>  Thu, 03 Apr 2025 21:49:49 +0200

bluefish (2.2.16-1) unstable; urgency=medium

  * New upstream release
  * Update signing key
  * Update standards version to 4.7.0
  * Remove jsbeautify from install
  * Update copyright years

 -- Jonathan Carter <jcc@debian.org>  Mon, 07 Oct 2024 13:18:59 +0200

bluefish (2.2.15-1) unstable; urgency=medium

  * New upstream release

 -- Jonathan Carter <jcc@debian.org>  Sun, 24 Mar 2024 17:27:19 +0200

bluefish (2.2.14-1) unstable; urgency=medium

  * New upstream release
  * Update standards version to 4.6.2

 -- Jonathan Carter <jcc@debian.org>  Mon, 19 Jun 2023 17:08:56 +0200

bluefish (2.2.13-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Drop unnecessary dependency on dh-autoreconf.
  * Update standards version to 4.6.1, no changes needed.

  [ Jonathan Carter ]
  * Merge back missed commits/changes from previous upload

 -- Jonathan Carter <jcc@debian.org>  Mon, 06 Mar 2023 20:01:05 +0200

bluefish (2.2.13-1) unstable; urgency=medium

  * New upstream release
  * Update standards version to 4.6.1
  * Remove patches (no longer needed)

 -- Jonathan Carter <jcc@debian.org>  Mon, 06 Mar 2023 19:48:27 +0200

bluefish (2.2.12-1.1) unstable; urgency=high

  * Non-maintainer upload acknowledged by current maintainer.
  * debian/control: Let package bluefish Breaks+Replaces bluefish-data
    (<< 2.2.12-1.1~). (Closes: #983859)

 -- Boyuan Yang <byang@debian.org>  Tue, 23 Mar 2021 21:16:28 -0400

bluefish (2.2.12-1) unstable; urgency=medium

  [ Pino Toscano ]
  * Remove the old bluefish.xpm icon, no more needed since the removal of the
    Debian menu file in 2.2.9-1.

  [ Jonathan Carter ]
  * New upstream release

 -- Jonathan Carter <jcc@debian.org>  Mon, 09 Nov 2020 14:55:00 +0200

bluefish (2.2.11+svn-r8872-3) unstable; urgency=medium

  * Fix duplicate file installation in bluefish and bluefish-data
    (Closes: #965944)

 -- Jonathan Carter <jcc@debian.org>  Thu, 23 Jul 2020 23:24:00 +0200

bluefish (2.2.11+svn-r8872-2) unstable; urgency=medium

  * Fix error when files don't exist on rm in debian/rules
    (Closes: #965332)

 -- Jonathan Carter <jcc@debian.org>  Mon, 20 Jul 2020 10:30:15 +0200

bluefish (2.2.11+svn-r8872-1) unstable; urgency=medium

  * New upstream snapshot
    (Closes: #593413, #593427, #692284, #730543, #857330, #892502)
  * Use libenchant-2-dev instead of libenchant-dev
    (Closes: #951143)
  * Use secure URI in watch file
  * Remove trailing whitespaces in changelog
  * Remove ancient versioned dependencies on
    intltool, libglib2.0-dev, libgtk-3-dev and libgucharmap-2-90-dev
  * Upgrade to debhelper-compat (13)
  * Add usr/share/bluefish and to bluefish.install
  * Add Python3:Depends substvar dependency for bluefish binary package
  * Add debian/not-installed to list unwanted .la files
  * Remove "-Wl --as-needed" from debian/rules (now default in bullsey
    build process)

 -- Jonathan Carter <jcc@debian.org>  Sat, 18 Jul 2020 11:34:15 +0200

bluefish (2.2.11-1) unstable; urgency=medium

  * New upstream release
    - Upstream updated to python3, which they warn
      may introduce new bugs
  * Update standards version to 4.5.0
  * Declare Rules-Requires-Root
  * Replace metadata patch with newer data

 -- Jonathan Carter <jcc@debian.org>  Thu, 30 Jan 2020 17:07:21 +0200

bluefish (2.2.10-3) unstable; urgency=medium

  * Remove unnecessary --parallel argument from dh now applied
    by compat level
  * Remove unused patches
  * Fix spelling error in patch description

 -- Jonathan Carter <jcc@debian.org>  Mon, 16 Sep 2019 07:47:27 +0000

bluefish (2.2.10-2) unstable; urgency=medium

  * Adopt package (Closes: #922891)
    - Thank you to Daniel Leidert and Innocent De Marchi for their work
      on this package over the years
  * Update standards version to 4.4.0
    - Use secure URIs in debian/copyright
  * Upgrade to debhelper-compat (=12)
    - Replace "dh_install --list-missing" with "dh_missing --list-missing"
  * Remove ancient NEWS entry
  * Remove ancient Breaks/Replaces
  * Remove dh boilerplate
  * Disable obsolete dh overrides
  * Add .gitignore
  * Don't install python2-only modules:
    - cssmin.py
    - jsbeautify.py
    - jsmin.py
    - lorem-ipsum-generator
    - cssdecompressor
  * Move VCS to salsa.debian.org

 -- Jonathan Carter <jcc@debian.org>  Mon, 09 Sep 2019 13:47:14 +0000

bluefish (2.2.10-1) unstable; urgency=medium

  * New upstream release (Closes: #591965, #771394 ; LP:#1551298).
    - Removed unnecessary 827747_fix_z-index_description.patch.
  * New maintainer (Closes: #887145).
  * Bumped to Standards-Version 4.1.3.
    + debian/compat: Raised to level 10.
    + Added Multi-Arch: same to bluefish-plugins.
    - Removed dh-autoreconf Build-Depends.
  * Changed the installation directory of the
    bluefish.appdata.xml file (added changed-install-dir-appdata.patch).
    + Changed to usr/share/metainfo on bluefish.install.
  * Added hardering flags on debian/rules.
  * Changed desktop-data/bluefish.appdata.xml.in to legacyformat
    (added patch file).

 -- Innocent De Marchi <tangram.peces@gmail.com>  Sun, 21 Jan 2018 07:55:12 +0100

bluefish (2.2.9-1) unstable; urgency=medium

  * New upstream release.
  * debian/bluefish.menu: Dropped in favour of .desktop file.
  * debian/bluefish-plugins.install: Adjusted paths.
  * debian/compat: Raised to level 9.
  * debian/control: Dropped -dbg package in favour of dbgsym.
    (Vcs-Browser): Use secure address.
    (Standards-Version): Bumped to 3.9.8.
    (Build-Depends): Raised debhelper version. Added dh-python.
  * debian/copyright: Updated.
  * debian/rules (override_dh_strip): Make dbgsym transition.
    (override_dh_python2): Add missing paths containing python scripts.
    (override_dh_auto_configure): Disable development checks.
  * debian/upstream-signing-key.pgp: Moved, changed to ASCII mode and renamed
    to debian/upstream/signing-key.asc.
  * debian/patches/827747_fix_z-index_description.patch: Added.
    - Fixes description of z-index property (closes: #827747).
  * debian/patches/series: Adjusted.

 -- Daniel Leidert <dleidert@debian.org>  Sun, 09 Oct 2016 12:55:22 +0200

bluefish (2.2.7-2) unstable; urgency=medium

  * Upload to unstable.
  * debian/control (Vcs-Svn, Vcs-Browser): Set back to trunk (unstable).

 -- Daniel Leidert <dleidert@debian.org>  Sun, 10 May 2015 11:10:20 +0200

bluefish (2.2.7-1) experimental; urgency=medium

  * New upstream release.
  * debian/control (Standards-Version): Bumped to 3.9.6.
    (Vcs-Svn, Vcs-Browser): Fixed accordingly for experimental.
  * debian/patches/747963_fix_conflicting_declarations.patch: Dropped.
    Applied upstream.
  * debian/patches/752234_fix_chromium_command.patch: Dropped. Applied
    upstream.
  * debian/patches/series: Adjusted accordingly.

 -- Daniel Leidert <dleidert@debian.org>  Wed, 04 Feb 2015 22:36:09 +0100

bluefish (2.2.6-2) unstable; urgency=medium

  * debian/rules: Added override_dh_autoreconf target and run the upstream
    autogen.sh script to fix the FTBFS reported in #759935.
  * debian/patches/747963_fix_conflicting_declarations.patch: Added.
    - Fixed a conflicting function declaration (closes: #747963).
  * debian/patches/752234_fix_chromium_command.patch: Added.
    - Fixed chromium command (closes: #752234).
  * debian/patches/759935_autogen.patch: Added.
    - Added the autogen.sh script from upstream (closes: #759935).

 -- Daniel Leidert <dleidert@debian.org>  Sat, 29 Nov 2014 20:32:08 +0100

bluefish (2.2.6-1) unstable; urgency=medium

  * New upstream release.
    - Fixes a serious segmentation fault (LP: #1300648, #1317650).
    - Improves handling of image files in the filebrowser (LP: #1248595).
  * debian/control (Description): Fixed typo.

 -- Daniel Leidert <dleidert@debian.org>  Sat, 10 May 2014 23:13:37 +0200

bluefish (2.2.5-3) unstable; urgency=low

  * debian/control (Description): Major update.
    (Suggests): Added csstidy, dos2unix, pylint and php-codesniffer.
  * debian/copyright: Added missing information about lorem-impsum-generator.

 -- Daniel Leidert <dleidert@debian.org>  Sun, 16 Feb 2014 12:08:39 +0100

bluefish (2.2.5-2) unstable; urgency=low

  * debian/bluefish.install: Added appdata file.
  * debian/control (Vcs-Browser, Vcs-Svn): Fixed URLs.
  * debian/copyright: Updated. Added missing plugin information.
  * debian/rules (override_dh_installchangelogs): Dropped as ChangeLog is now
    used.

 -- Daniel Leidert <dleidert@debian.org>  Sat, 15 Feb 2014 13:42:42 +0100

bluefish (2.2.5-1) unstable; urgency=low

  * New upstream release.
    - Fixes a highlighting bug (LP: #1242387, #1263967).
  * debian/control (Standards-Version): Bumped to 3.9.5.
    (Build-Depends): Added dh-autoreconf and some GTK related version info.
  * debian/copyright: Fixed unversioned-copyright-format-uri.
  * debian/rules: Use the autoreconf addon (closes: #737671).
  * debian/upstream-signing-key.pgp: Added upstream keyring.
  * debian/watch: Added signature URL.
  * debian/source/include-binaries: Added debian/upstream-signing-key.pgp.

 -- Daniel Leidert <dleidert@debian.org>  Tue, 11 Feb 2014 16:52:23 +0100

bluefish (2.2.4-2) unstable; urgency=low

  * debian/control (Standards-Version): Bumped to 3.9.4.
  * debian/copyright: Updated.

 -- Daniel Leidert <dleidert@debian.org>  Thu, 09 May 2013 14:36:58 +0200

bluefish (2.2.4-1) experimental; urgency=low

  * New upstream release.
    - Fixes mouse controlled zoom-out issue (LP: #1020925).
    - Fixes tabs width issue (LP: #1065625).
  * debian/copyright: Updated.
  * debian/patches/bz679203_fix_segfault.patch: Dropped (applied upstream).
  * debian/patches/fix_segfault_blocksync.patch: Ditto.
  * debian/patches/fix_segfault_scanner.patch: Ditto.
  * debian/patches/translation_updates.patch: Ditto.
  * debian/patches/series: Adjusted.

 -- Daniel Leidert <dleidert@debian.org>  Sat, 09 Feb 2013 23:43:04 +0100

bluefish (2.2.3-4) unstable; urgency=low

  * debian/patches/fix_segfault_blocksync.patch: Added.
    - Fix a segmentation fault in the block synchronization feature.
  * debian/patches/fix_segfault_scanner.patch: Added.
    - Fix segmentation faults in the language scanner feature.
  * debian/patches/series: Added.

 -- Daniel Leidert <dleidert@debian.org>  Mon, 10 Sep 2012 00:15:13 +0200

bluefish (2.2.3-3) unstable; urgency=low

  * debian/patches/bz679203_fix_segfault.patch: Added.
    - Fix a segmentation fault (LP: #954879).
  * debian/patches/translation_updates.patch: Added.
    - Bring translations up-to-date.
  * debian/patches/series: Adjusted.

 -- Daniel Leidert <dleidert@debian.org>  Fri, 13 Jul 2012 00:30:20 +0200

bluefish (2.2.3-2) unstable; urgency=low

  * debian/copyright: Updated to GPL-3+ (closes: #666025).

 -- Daniel Leidert <dleidert@debian.org>  Fri, 29 Jun 2012 00:48:22 +0200

bluefish (2.2.3-1) unstable; urgency=low

  * New upstream release.
    - Added search keywords to .desktop file (LP: #948228).
    - Fixed crash in highlighting engine (LP: #990716).
    - Fixed thumbnail creation (closes: #663100).
  * debian/control: Dropped DM-Upload-Allowed.
    (Maintainer): Set to my new address.
    (Suggests): Calculate browsers depending on distribution.
    (Depends): Added python depends for newly shipped Python scripts.
  * debian/copyright: Minor update. Link to GPLv2 text.
  * debian/rules: Enabled hardening. Added python2 module. Calculate brwoser
    dependencies via dpkg-vendor.
  * debian/patches/LP810663_blacklist_from_appmenu.patch: Adjusted.

 -- Daniel Leidert <dleidert@debian.org>  Wed, 27 Jun 2012 22:28:39 +0200

bluefish (2.2.2-1) unstable; urgency=low

  * New upstream release.
    - Fixes various crashes (closes: #656013).
  * debian/control (Standards-Version): Bumped to 3.9.3.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Mon, 05 Mar 2012 20:52:34 +0100

bluefish (2.2.1-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Used wrap-and-sort.
    (Build-Depends): Increased autotools-dev version for dh addon usage.
    (bluefish-dbg/Suggests): Added gvfs-dbg. Fixed the dependency on libc6-dbg
    by adding dependencies to libc0.1-dbg, libc0.3-dbg and libc6.1-dbg for the
    relevant architectures.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Fri, 23 Dec 2011 11:44:09 +0100

bluefish (2.2.0-2) unstable; urgency=low

  * debian/control (bluefish-dbg/Suggests): Replace libgtk2.0-0-dbg by
    libgtk-3-0-dbg.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Fri, 25 Nov 2011 01:56:36 +0100

bluefish (2.2.0-1) unstable; urgency=low

  * New upstream release (closes: #623122; LP: #858992).
  * Acknowledge NMU (closes: #643737).
  * debian/compat: Increased dh compatibility level to 7.
  * debian/control (Standards-Version): Bumped to 3.9.2.
    (Build-Depends): Replaced libgtk2.0-dev, libgucharmap2-dev and
    libgucharmap-dev by libgtk-3-dev and libgucharmap-2-90-dev. Increased
    required debhelper version.
    (Conflicts): Changed to Breaks to fix conflicts-with-version.
  * debian/copyright: Minor update.
  * debian/rules: Rewritten for debhelper 7.
  * debian/watch: Added support for .bz2 suffix.
  * debian/source/format: Added for format 3.0 (quilt).
  * debian/patches/LP810663_blacklist_from_appmenu.patch: Added for Ubuntu.
  * debian/patches/series: Added empty.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Thu, 24 Nov 2011 22:10:26 +0100

bluefish (2.0.3-1.1) unstable; urgency=low

  * Non-maintainer upload, for the GNOME 3 transition.
  * Disable charmap plugin, as the GTK+ 2.0 version of libgucharmap7 is
    going away and loading GTK+ 2.0 and 3.0 in the same process is not
    allowed (closes: #643737).
  * Move Build-Depends on libgucharmap2-dev to Build-Conflicts as there
    isn't a configure switch to disable the plugin.

 -- Jordi Mallach <jordi@debian.org>  Thu, 13 Oct 2011 12:19:57 +0200

bluefish (2.0.3-1) unstable; urgency=low

  * New upstream release.
  * Second release candidate for version 2.0.3 (LP: #734685).
    - <img> modification window no longer always reports the original image
      width and height and instead of the imposted one (LP: #363009).
    - long page title do not longer cause window to resize over screen
      boarders (LP: #693367).
  * debian/rules (config.status): Support cross compilation.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Tue, 15 Mar 2011 22:28:29 +0100

bluefish (2.0.2-1) unstable; urgency=low

  * New upstream release.
    - Fixes several crashes.
    - Fixes for the GUI.
    - Fixes syntax highlighting.
    - Updates to Russion, Ukrainian and Danish translation.
    ... more at <URL:http://bluefish.openoffice.nl/#bluefish_2_0_2>.
  * debian/control (Vcs-Browser): Point to the trunk dir.
    (Standards-Version): Bumped to 3.9.1.
  * debian/rules (clean): Remove config.* files to clean diff.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Thu, 16 Sep 2010 23:39:11 +0200

bluefish (2.0.1-1) unstable; urgency=low

  * New upstream release - the first release of the 2.0 series for Debian
    (closes: #570731; LP: #540126). This release fixes these reported issues:
    - Better settings handling (closes: #548272).
    - Improved filebrowser (LP: #45927).
    - Improved syntax highlighting engine (LP: #108628).
    - Improved file operations (LP: #181110).
    - Translated menu descriptions (LP: #371318, #371322). The chosen menu
      name is fine.
    - Improved browser commands and handling (LP: #158891, #348408).
  * Updated and adjusted packaging files.
  * debian/bluefish_icon.xpm: Renamed to debian/bluefish.xpm.
  * debian/bluefish.install: Adjusted.
  * debian/bluefish.menu (icon): Adjusted.
  * debian/bluefish-data.install, debian/bluefish-plugins.install: Added.
  * debian/control: Added bluefish-data, bluefish-dbg and bluefish-plugins.
    (Build-Depends): Dropped deprecated build-dependencies libaspell-dev,
    libgnomeui-dev, libgnomevfs2-dev, libpcre3-dev and dpatch. Added intltool,
    libtool, libenchant-dev and libgucharmap2-dev.
    (Standards-Version): Bumped to 3.8.4.
    (Depends, Suggests): Adjusted. Added gvfs-backends as dependency.
  * debian/copyright: Updated.
  * debian/rules: Rewritten. Dropped dpatch.
    (LDFLAGS): Dropped -Wl,-z,defs because of plugins.
    (config.status:): Adjusted configure switches.
    (install): Install to debian/tmp and list missing files.
    (binary-indep): Added for bluefish-data.
    (binary-arch): Adjusted. Put debugging symbols into bluefish-dbg.
  * debian/watch: Added support for RCs.
  * debian/README.Debian: Dropped (useless with 2.0).
  * debian/README.source: Dropped together with dpatch.
  * debian/patches/: Dropped (obsolete).
  * debian/reportbug/: Dropped.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Tue, 29 Jun 2010 21:40:10 +0200

bluefish (1.0.7-6) unstable; urgency=low

  * debian/control: Added Vcs-Svn and Vcs-Browser field.
    (Standards-Version): Bumped to 3.8.0.
    (Suggests): Removed iceape. Removed gnome-bin (closes: #510738).
  * debian/README.source: Added to be compliant with policy version 3.8.0.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Mon, 02 Mar 2009 17:25:33 +0100

bluefish (1.0.7-5) unstable; urgency=low

  * debian/rules (build, clean): Moved the config.* copy action to
    config.status. Files can further be removed by dh_clean.
    (config.status): According to the manuals, variables should be given after
    the configure call.
  * debian/patches/03_latest_highlighting_pattern.dpatch: Adjusted.
    - Fix php highlighting pattern, that seem to lead to a segmentation fault on
      e.g. i386 architectures in some cases (LP: #228068).

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Fri, 09 May 2008 00:28:35 +0200

bluefish (1.0.7-4) unstable; urgency=low

  * debian/control: Added DM-Upload-Allowed for DM status.
    (Standards-Version): Raised to 3.7.3.
  * debian/rules: Added LDFLAGS to drop useless dependencies (should be safe
    here). Make sure, there are no unresolved symbols.
  * debian/patches/04_fix_maximization_state_save.dpatch: Added.
    - Fixes a long-time-standing bug, that prevents bluefish from saving the
      maximization state, if people quit with File > Quit.
  * debian/patches/05_fix_449288_hlt_pattern_dialog.dpatch: Added.
    - Fixes the empty highlighting pattern dialog (closes: #449288). Thanks to
      Jim Hayward for the patch.
  * debian/patches/00list: Adjusted.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Tue, 05 Feb 2008 03:03:47 +0100

bluefish (1.0.7-3) unstable; urgency=low

  * debian/bluefish.menu (section): Fixed to be compliant to the latest menu
    policy.
  * debian/bluefish.postrm: Removed. Replaced by debhelper script calls.
  * debian/bluefish.postinst: Ditto.
  * debian/compat: Raised to compat level 5.
  * debian/control: Homepage field transition.
    (Build-Depends): Raised debhelper version dependency.
    (Uploaders): Removed Leo, because I'm sponsored by someone else for some
    time now.
    (Suggests): Removed php4-cli and replaced mozilla with iceape | iceweasel.
  * debian/rules (binary-arch): Added calls to dh_installmime and dh_desktop
    to create postinst/postrm stuff automatically.
  * debian/watch: Added watch file.
  * debian/README.Debian: Added instructions, how to update filetype pattern.
  * debian/patches/03_latest_highlighting_pattern.dpatch: Added.
    - Update the filetypes list and the highlighting pattern to latest
      upstream version.
  * debian/patches/90_manpage_update.dpatch: Added.
    - Fix the manpage-has-useless-whatis-entry lintian warning and improve it
      slightly (copied from upstream CVS).
  * debian/patches/91_desktop_file_validity.dpatch: Added.
    - Make the .desktop files compliant with the latest freedesktop.org
      policy.
  * debian/patches/99_fix_436599_handle_nostrip.dpatch: Added.
    - Handle the nostrip build option (closes: #436599).
  * debian/patches/00list: Adjusted.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Wed, 26 Sep 2007 21:43:03 +0200

bluefish (1.0.7-2) unstable; urgency=low

  * debian/rules (clean): Fixed debian-rules-ignores-make-clean-error lintian
    warning.
  * debian/patches/02_431023_fix_segfault_in_aspell.dpatch: Added.
    - src/bfspell.c: Turn off the `Add( word)' button to prevent bluefish
      crashing (closes: #431023).

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Thu, 12 Jul 2007 13:22:40 +0200

bluefish (1.0.7-1) unstable; urgency=medium

  * New upstream release 1.0.7.
    - Fixes an issue where Bluefish would segfault if trying to save from a
      clean install (closes: #396735).
    - Fixes the MIME type icon name.
    - Fixes Tcl highlighting pattern.
    Get more information about fixes and improvements from
    /usr/share/doc/bluefish/changelog.gz.

  [ Daniel Leidert ]
  * debian/patches/02_fix_396095.dpatch: Removed. Fixed upstream.
  * debian/patches/10_fix_mime_icon_name.dpatch: Ditto.
  * debian/patches/11_fix_tcl_highlighting.dpatch: Ditto.
  * debian/patches/00list: Adjusted.
  * debian/changelog: Fixed the bug-number in Steinars NMU entry.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Sat, 18 Nov 2006 02:44:39 +0100

bluefish (1.0.6-2) UNRELEASED; urgency=medium

  [ Daniel Leidert ]
  * debian/patches/10_fix_mime_icon_name.dpatch: Added.
    - data/Makefile.in: Fix the name of the icon for the
      application/bluefish-project MIME type.
    - data/bluefish.keys (icon_filename): Ditto.
  * debian/patches/11_fix_tcl_highlighting.dpatch: Added.
    - data/highlighting.in (Tcl, tcl): Fixed Tcl highlighting.
  * Putting urgency to medium for Etch.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Mon,  2 Oct 2006 15:23:50 +0200

bluefish (1.0.6-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * 02_fix_396095.dpatch: Fix an issue where Bluefish would segfault if trying
    to save from a clean install; patch from upstream CVS. (Closes: #396735)

 -- Steinar H. Gunderson <sesse@debian.org>  Sun, 12 Nov 2006 16:53:32 +0100

bluefish (1.0.6-1) unstable; urgency=low

  * New upstream release 1.0.6.
    - Fixes a crash, that could occur when using the "Dialog" button for a
      reference when the reference title is selected (closes Malone #55256).
    - Fixes the behaviour of the filebrowser, where clicking in folder
      browser did not draw new selection bar until a file from that folder was
      loaded (closes Malone #45927).
    Get more information about fixes and improvements from
    /usr/share/doc/bluefish/changelog.gz.

  [ Daniel Leidert ]
  * debian/control (Standards-Version): Changed to latest standards version
    3.7.2 (no further changes necessary).
  * debian/bluefish.dirs: Removed. Not necessary.
  * debian/bluefish.docs: Added README.
  * debian/README.Debian: Removed stuff, that is in bluefish's README.
  * debian/patches/10_upstream_fix_smart_cursor_pos_bug.dpatch: Dropped. It
    was a patch backported from upstreams CVS. It is already inluded in this
    upstream release.
  * debian/patches/11_upstream_fix_bf_icon_display_bug.dpatch: Ditto.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Tue, 26 Sep 2006 16:52:07 +0200

bluefish (1.0.5-2) unstable; urgency=low

  * Fix small bug in patch 11_upstream_fix_bf_icon_display_bug.dpatch
    (corrected by Daniel, only packaged by me)

 -- Leo Costela <costela@debian.org>  Thu, 09 Feb 2006 23:20:58 -0200

bluefish (1.0.5-1) unstable; urgency=high

  * New upstream release 1.0.5 (closes: #349584).
  * debian/NEWS: Inform about updated highlighting pattern.
  * debian/README.Debian: Fixed explanation. Added information from upstream
    README and TODO.
  * debian/bluefish.docs: Do not longer install upstream README and TODO.
    Important information from these files was added to README.Debian.
  * debian/bluefish.1, debian/bluefish.manpages: The manpage is now installed
    via upstream source.
  * debian/rules: Removed call to dh_installman.
  * debian/control: Added gnome-bin to suggested packages (which contains
    /usr/bin/gnome-moz-remote) and php5-cli. Fixed a minor typo in the
    description.
  * debian/control, debian/rules: Add everything necessary to use dpatch.
  * debian/patches/01_ubuntu_desktop_fix.dpatch: Contains the fix that removes
    the absolute icon path for the .desktop files (Ubuntu patch).
  * debian/patches/10_upstream_fix_smart_cursor_pos_bug.dpatch: Fix a bug in
    the smart cursor positioning discovered after the release.
  * debian/patches/11_upstream_fix_bf_icon_display_bug.dpatch: Fix a bug where
    the Bluefish icon was not displayed if the splash screen was disabled
    (also discovered after release).
  * debian/patches/00list: Apply patches 10_upstream_fix_smart_cursor_pos_bug
    and 11_upstream_fix_bf_icon_display_bug for Debian.
  * (Leo "Costela" Antunes) merge -2 and -1 revisions to make sure it won't
    ignore the new source. The original -1 revision didn't get uploaded.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Sun,  5 Feb 2006 12:03:54 +0100

bluefish (1.0.4-2) unstable; urgency=low

  * src/bfspell.c (spell_start): Fix crash when using spellcheck function
    (closes: #340768).
  * src/quickstart.c (quickstart_meta_page_create): Fix crash when trying to
    open Quickstart dialog using libgtk2.0-0 >= 2.8.9 (closes: #344435).
  * data/highlighing.in: Fix UTF-8 character problem with fancy coloring
    (closes: #347960).
  * data/highlighting.in: Fixing more issues reported to upstream.
  * data/custom_menu.in, custom_menu.de.in, custom_menu.fr.in: Fix issues
    reported to upstream.
  * debian/copyright: Update file content and FSF address (fixes a lintian
    warning).

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Mon, 16 Jan 2006 23:16:27 +0100

bluefish (1.0.4-1) unstable; urgency=low

  * New upstream version 1.0.4.
  * Fixing packaging issues to avoid reject reasons.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Mon, 29 Aug 2005 22:58:41 +0200

bluefish (1.0.3-1) unstable; urgency=low

  * New maintainer (closes: #322091).
  * Acknowledge NMU, thanks Leo (closes: #295536, #313674, #308849, #317239).
  * New upstream version 1.0.3 (closes: #249639, #185158).
  * A few fixes for the packaging files.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Tue, 23 Aug 2005 03:02:29 +0200

bluefish (1.0.2-0.1) unstable; urgency=low

  * NMU
  * New upstream version (closes: #317239)
  * Upstraam fixes:
  	- Translations updated (closes: #308849, #313674)
  	- Browse Project crash (closes: #295536)

 -- Leo Costela <costela@debian.org>  Wed, 03 Aug 2005 17:06:46 -0300

bluefish (1.0-1) unstable; urgency=medium

  * Acknowledge NMU, thanks Leo; closes: #291222.
  * Updated debian/ files, thanks Daniel Leidert.

 -- Davide Puricelli (evo) <evo@debian.org>  Sat, 23 Apr 2005 17:05:18 +0200

bluefish (1.0-0.1) unstable; urgency=high

  * NMU
  * New upstream release
  * Added --disable-update-databases to configure options

 -- Leo Costela <costela@debian.org>  Wed, 26 Jan 2005 09:51:25 -0300

bluefish (0.13-1) unstable; urgency=high

  * Last upload before sarge (hopefully).
  * Acknowledge NMU, thanks Leo; closes: #243784.
  * Enhanced debian/rules.

 -- Davide Puricelli (evo) <evo@debian.org>  Fri, 20 Aug 2004 18:15:38 +0200

bluefish (0.13-0.1) unstable; urgency=low

  * NMU (sorry Evo, my bug report stood for 85 days without answer)
  * New upstream version. closes: #243784.

 -- Leo Costela <costela@debian.org>  Fri, 09 Jul 2004 16:31:30 -0300

bluefish (0.12-1) unstable; urgency=low

  * New upstream version.
  * Enhanced extended description; closes: #214941.

 -- Davide Puricelli (evo) <evo@debian.org>  Mon, 22 Dec 2003 15:04:47 +0100

bluefish (0.11-1) unstable; urgency=low

  * New upstream version, closes: #204201.
  * Fixed a segfault on tab switching, closes: #181789.
  * Fixed a segfault on editing php files, closes: #186223.
  * Updated it.po, closes: #192044, #200225. Thanks Stefano Canepa!

 -- Davide Puricelli (evo) <evo@debian.org>  Fri,  5 Sep 2003 15:02:22 +0200

bluefish (0.9-1) unstable; urgency=low

  * New upstream version; closes: #181560.
  * Added an option that let you decide to have meta author tag
    changed on saving or not; closes: #180111.
  * Fixed a wrong behaviour on inserting images and thumbnails;
    closes: #174445.
  * Added a Gnome2 menu entry: closes: #173864.
  * Fixed Debian menu entry to be standard; closes: #179451.

 -- Davide Puricelli (evo) <evo@debian.org>  Tue, 18 Feb 2003 15:16:19 +0100

bluefish (0.8-1) unstable; urgency=low

  * New upstream version (now bluefish uses gtk2, cool!).
  * Now Menu hotkeys are working in the right way; closes: #173028.

 -- Davide Puricelli (evo) <evo@debian.org>  Fri,  4 Oct 2002 23:14:20 +0200

bluefish (0.7-2) unstable; urgency=low

  * debian/control: Build-Depends on gdk-imlib1-dev; closes: #159820.

 -- Davide Puricelli (evo) <evo@debian.org>  Sat,  7 Sep 2002 12:58:33 +0200

bluefish (0.7-1) unstable; urgency=low

  * New upstream version.

 -- Davide Puricelli (evo) <evo@debian.org>  Tue, 20 Nov 2001 18:59:52 +0100

bluefish (0.6.1.20010708-2) unstable; urgency=low

  * Fixed manpage path; closes: #106553.

 -- Davide Puricelli (evo) <evo@debian.org>  Sat,  1 Sep 2001 12:40:46 +0200

bluefish (0.6.1.20010708-1) unstable; urgency=high

  * CVS sync as of 2001-07-08, closes: #105039.

 -- Davide Puricelli (evo) <evo@debian.org>  Sat, 14 Jul 2001 20:41:34 +0200

bluefish (0.6.1-3) unstable; urgency=high

  * Fixed Build-Depends: closes: #93960.

 -- Davide Puricelli (evo) <evo@debian.org>  Sat, 14 Apr 2001 14:25:49 +0200

bluefish (0.6.1-2) unstable; urgency=high

  * Depends on libgtk1.2 (>= 1.2.10-1); closes: #92210.

 -- Davide Puricelli (evo) <evo@debian.org>  Tue, 10 Apr 2001 19:40:00 +0200

bluefish (0.6.1-1) unstable; urgency=low

  * New upstream version.

 -- Davide Puricelli (evo) <evo@debian.org>  Fri, 29 Dec 2000 22:07:42 +0100

bluefish (0.6-0.cvs20001121.1) unstable; urgency=low

  * Fixed debian/rules; closes: #77879

 -- Davide Puricelli (evo) <evo@debian.org>  Fri, 24 Nov 2000 13:36:57 +0100

bluefish (0.6-0.cvs20001121) unstable; urgency=low

  * CVS version (21st November 2000); closes: #72760.
  * Rewrote debian/rules.

 -- Davide Puricelli (evo) <evo@debian.org>  Tue, 21 Nov 2000 13:34:36 +0100

bluefish (0.5-3) unstable; urgency=low

  * Removed stupid depends on xlib6 and libc5; closes: #77512.

 -- Davide Puricelli (evo) <evo@debian.org>  Mon, 20 Nov 2000 19:39:57 +0100

bluefish (0.5-2) unstable; urgency=low

  * New maintainer release. (closes: #77042)

 -- Davide Puricelli (evo) <evo@debian.org>  Sat, 18 Nov 2000 18:34:24 +0100

bluefish (0.5-1) unstable; urgency=low

  * New upstream release
  * debian/copyright: Updated download location.
  * debian/rules: enable internal preview
  * debian/control: updated build dependencies
  * debian/rules, src/Makefile.in: implement debug/nostrip build options
  * debian/control: standards-version 3.2.0
  * debian/rules [clean-build]: remove gmo files

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Wed, 23 Aug 2000 22:38:57 +0300

bluefish (0.4-1) unstable; urgency=low

  * New upstream release

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Sun, 14 May 2000 17:16:16 +0300

bluefish (0.3.99.12-1) unstable; urgency=low

  * New upstream release

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Mon,  8 May 2000 22:07:11 +0300

bluefish (0.3.99.9-1) unstable; urgency=low

  * New upstream release
  * debian/rules, Makefile.in: parametrize /usr/share/pixmaps

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Wed, 12 Apr 2000 16:58:37 +0300

bluefish (0.3.6-1) unstable; urgency=low

  * New upstream release.
  * debian/bluefish.1: Removed.
  * debian/rules: Remove installation of manual page (nowadays installed
    by upstream makefiles).
  * debian/rules: Enable NLS support.
  * debian/rules: Precreate man1dir, though, and override it in upstream
    Makefile.
  * debian/rules: Recompress manpage to get -9 compression.
  * debian/copyright: Updated.
  * debian/control: Updated.

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Mon,  6 Mar 2000 11:06:36 +0200

bluefish (0.3.5-1) unstable; urgency=low

  * New upstream release.
  * debian/bluefish.1: New file.
  * debian/rules: Install the manual page.
  * debian/rules: Disable NLS support, as it does not work yet.

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Fri, 14 Jan 2000 13:27:35 +0200

bluefish (0.3.4-2) unstable; urgency=low

  * debian/control [Build-Depends]: Folding is not
    allowed in Build-Depends.  I wonder what for.
    Closes: #51628.

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Tue, 30 Nov 1999 17:39:33 +0200

bluefish (0.3.4-1) unstable; urgency=low

  * New upstream release.
  * debian/control [Standards-Version]: 3.1.1.
      + debian/control [Build-Depends]: Added.
      + debian/rules [debian/build-depends.stamp]: Removed.
      + debian/check-sourcedeps: Removed.
  * debian/copyright: Updated download URL.

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Thu, 18 Nov 1999 23:26:46 +0200

bluefish (0.3.3a-1) unstable; urgency=low

  * New public upstream release.
      + Fixes an alpha compilation problem, closes: Bug#45747.
  * src/interface.c: Undo the previous patch, bug fixed differently
    in upstream source.
  * debian/copyright: Updated download URL and GPL location.

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Sun, 10 Oct 1999 22:59:26 +0300

bluefish (0.3.2.99.8-1) local; urgency=low

  * New upstream prerelease (0.3.3pre8).   This version will not be published.
      + Fixes alpha compilation problem (Bug#45747)
  * src/interface.c: Fixed a core dump by checking for null pointer on lines
    580, 582 and 584.  Patch sent to upstream.

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Sun,  3 Oct 1999 15:47:27 +0300

bluefish (0.3.2-3) unstable; urgency=low

  * debian/rules:
      + Use --with-install-location with ./configure
      + make install in the source root and not in src/
      + specify install_location=... with make install
    Closes: #45351.
  * debian/rules: Modernized
      + Factorize install into its own variable.
      + Don't use install_zipped
      + Use stamp files.
      + Don't test for rootness.
      + Add a default target.
      + Split the clean target into clean-{build,binary}.
      + Move the ./configure call to its own target.
      + Remove $(rootdir) at the start of the binary targets.
  * debian/{prerm,postinst,rules}: Implement the /usr/doc transition method.
  * Makefile.in: Added a install_location variable, with default from ./configure.

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Fri, 17 Sep 1999 17:02:36 +0300

bluefish (0.3.2-2) unstable; urgency=low

  * Removed the compatibility symlink for /usr/doc,
    as it didn't work right in upgrades.

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Fri, 30 Jul 1999 15:20:05 +0300

bluefish (0.3.2-1) unstable; urgency=low

  * New upstream release
  * Added a compatibility symlink for the /usr/doc transition,
    for now.  I *will* implement the real transition method,
    when one is chosen, don't worry.
  * debian/rules: Remove the hacks for bluefish.inst, since
    upstream no longer uses it (it's implemented in the main
    executable now).

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Sat, 10 Jul 1999 14:44:06 +0300

bluefish (0.3.1-3) unstable; urgency=low

  * Policy 3.0.0.0.

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Wed,  7 Jul 1999 20:53:25 +0300

bluefish (0.3.1-2) unstable; urgency=low

  * Upstream has now a configuration system
    for specifying the www browser.  So, we
    can suggest www-browser.

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Mon, 28 Jun 1999 03:14:32 +0300

bluefish (0.3.1-1) unstable; urgency=low

  * New upstream version.
  * debian/rules: Updated to match the slighly changed installation procedure.
  * Improved the source dependency check:
       + debian/check-sourcedeps: New file.
       + debian/rules: Updated to use that new file.

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Mon, 28 Jun 1999 01:46:38 +0300

bluefish (0.3.0-1) unstable; urgency=low

  * Initial packaging.

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Thu, 24 Jun 1999 19:34:46 +0300

Local variables:
mode: debian-changelog
End:
